text-2.0.2: An efficient packed Unicode text type.

Copyright | (c) 2011 Bryan O'Sullivan
License | BSD-style
Maintainer | bos@serpentine.com
Stability | experimental
Portability | GHC
Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.Text.Internal.Private

Description

Synopsis

- runText :: (forall s. (MArray s -> Int -> ST s Text) -> ST s Text) -> Text
- span_ :: (Char -> Bool) -> Text -> (# Text, Text #)
- spanAscii_ :: (Word8 -> Bool) -> Text -> (# Text, Text #)

# Documentation

runText :: (forall s. (MArray s -> Int -> ST s Text) -> ST s Text) -> Text Source #

span_ :: (Char -> Bool) -> Text -> (# Text, Text #) Source #

spanAscii_ :: (Word8 -> Bool) -> Text -> (# Text, Text #) Source #

For the sake of performance this function does not check that a char is in ASCII range; it is a responsibility of `p`.

Since: text-2.0